<?php
/**
 * Pop PHP Framework (http://www.popphp.org/)
 *
 * @link       https://github.com/popphp/popphp-framework
 * @author     Nick Sagona, III <dev@nolainteractive.com>
 * @copyright  Copyright (c) 2009-2019 NOLA Interactive, LLC. (http://www.nolainteractive.com)
 * @license    http://www.popphp.org/license     New BSD License
 */

/**
 * @namespace
 */
namespace Pop\Db\Adapter\Profiler;

/**
 * Db adapter profiler interface
 *
 * @category   Pop
 * @package    Pop\Db
 * @author     Nick Sagona, III <dev@nolainteractive.com>
 * @copyright  Copyright (c) 2009-2019 NOLA Interactive, LLC. (http://www.nolainteractive.com)
 * @license    http://www.popphp.org/license     New BSD License
 * @version    4.5.0
 */
interface ProfilerInterface
{

    /**
     * Get start
     *
     * @return float
     */
    public function getStart();

    /**
     * Finish profiler
     *
     * @return ProfilerInterface
     */
    public function finish();

    /**
     * Get end
     *
     * @return float
     */
    public function getFinish();

    /**
     * Get elapsed time
     *
     * @return string
     */
    public function getElapsed();

}